#############################################################################
# Makefile for building: imageformats
# Generated by qmake (1.07a) (Qt 3.3.1) on: Thu Mar 25 02:42:48 2004
# Project:  imageformats.pro
# Template: subdirs
# Command: $(QMAKE) -spec /usr/lib/qt/mkspecs/linux-g++ -o Makefile imageformats.pro
#############################################################################

MAKEFILE =	Makefile
QMAKE    =	qmake
DEL_FILE =    rm -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p
SUBTARGETS =	 \
		sub-png \
		sub-jpeg \
		sub-mng

first: all

all: Makefile $(SUBTARGETS)

png/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "png" || $(MKDIR) "png"
	cd png && $(QMAKE) png.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-png: png/$(MAKEFILE) FORCE
	cd png && $(MAKE) -f $(MAKEFILE)

jpeg/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "jpeg" || $(MKDIR) "jpeg"
	cd jpeg && $(QMAKE) jpeg.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-jpeg: jpeg/$(MAKEFILE) FORCE
	cd jpeg && $(MAKE) -f $(MAKEFILE)

mng/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "mng" || $(MKDIR) "mng"
	cd mng && $(QMAKE) mng.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-mng: mng/$(MAKEFILE) FORCE
	cd mng && $(MAKE) -f $(MAKEFILE)

Makefile: imageformats.pro ../../../.qmake.cache /usr/lib/qt/mkspecs/linux-g++/qmake.conf 
	$(QMAKE) -spec /usr/lib/qt/mkspecs/linux-g++ -o Makefile imageformats.pro
qmake: qmake_all
	@$(QMAKE) -spec /usr/lib/qt/mkspecs/linux-g++ -o Makefile imageformats.pro

all: $(SUBTARGETS)
qmake_all: png/$(MAKEFILE) jpeg/$(MAKEFILE) mng/$(MAKEFILE)
	 ( [ -d png ] && cd png ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d jpeg ] && cd jpeg ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
	 ( [ -d mng ] && cd mng ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
clean uicables mocables uiclean mocclean lexclean yaccclean : qmake_all FORCE
	 ( [ -d png ] && cd png ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d jpeg ] && cd jpeg ; $(MAKE) -f $(MAKEFILE) $@; ) || true
	 ( [ -d mng ] && cd mng ; $(MAKE) -f $(MAKEFILE) $@; ) || true
uninstall_subdirs: qmake_all FORCE
	 ( [ -d png ] && cd png ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
	 ( [ -d jpeg ] && cd jpeg ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
	 ( [ -d mng ] && cd mng ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
install_subdirs: qmake_all FORCE
	 ( [ -d png ] && cd png ; $(MAKE) -f $(MAKEFILE) install; ) || true
	 ( [ -d jpeg ] && cd jpeg ; $(MAKE) -f $(MAKEFILE) install; ) || true
	 ( [ -d mng ] && cd mng ; $(MAKE) -f $(MAKEFILE) install; ) || true
distclean: qmake_all FORCE
	 ( [ -d png ] && cd png ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d jpeg ] && cd jpeg ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true
	 ( [ -d mng ] && cd mng ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true

install:  install_subdirs

uninstall:  uninstall_subdirs

FORCE:

